#import <Foundation/Foundation.h>
#import <CoreGraphics/CoreGraphics.h>
#import <GraphicsServices/GraphicsServices.h>
#import <UIKit/UIKit.h>
#import <UIKit/UIImage.h>
#import <UIKit/UIImageAndTextTableCell.h>
#import <UIKit/UIView-Geometry.h>
#import <UIKit/UIView.h>
#import <UIKit/UICheckbox.h>

@class UIImageView;
@class UITextLabel;

#ifdef OS114
#import <WebCore/WebFontCache.h>
#else
typedef float CGFloat;
#import <UIKit/UIFont.h>
#import <UIKit/UIColor.h>
@interface UITextLabel (CustomeTableCell)
- (void)setColor:(UIColor *)fp8;	// IMP=0x3245dadc
- (void)setFont:(UIFont *)fp8;	// IMP=0x3245ddc0
- (void)setHighlightedColor:(UIColor *)fp8;	// IMP=0x3245dbf4
- (void)setShadowColor:(UIColor *)fp8;	// IMP=0x3245dd64
@end
#endif


@interface CustomTableCell : UITableCell 
{
	UIImageView*			_counterIconImageView; 
	UITextLabel* 			_secondsLabel;
	UITextLabel* 			_infoCounterLabel;
	UITextLabel*			_counterNameLabel;
	UITextLabel*			_topLabel;
	NSNumber*				_dtype;
}
- (UITextLabel *) counterNameTextLabel;
- (void) setCounterName: (NSString *) text;
- (void) setSeconds: (NSString *) text withSpecial: (NSString *) topText;
- (void) setDisplayType: (NSNumber *) dtype;
- (NSString *) counterSeconds;

@end
