/**
 * ToggleDisplayView interface
**/

#import <Foundation/Foundation.h>
#import <CoreFoundation/CoreFoundation.h>
#import <UIKit/CDStructures.h>
#import <UIKit/UIView.h>
#import <UIKit/UITableCell.h>
#import <UIKit/UIImageAndTextTableCell.h>
#import <UIKit/UITable.h>
#import <UIKit/UITableColumn.h>
#import <UIKit/UINavigationBar.h>
#import <UIKit/UITextView.h>
#import <UIKit/UIPreferencesTable.h>
#import <UIKit/CDStructures.h>
#import <UIKit/UIApplication.h>
#import <UIKit/UIPushButton.h>
#import <UIKit/UIThreePartButton.h>
#import <UIKit/UINavigationBar.h>
#import <UIKit/UINavBarButton.h>
#import <UIKit/UIWindow.h>
#import <UIKit/UIView-Hierarchy.h>
#import <UIKit/UIHardware.h>
#import <UIKit/UIImage.h>
#import <UIKit/UIButtonBar.h>
#import <UIKit/UIImageView.h>
#import <UIKit/UIKeyboard.h>
#import <UIKit/UIPreferencesTableCell.h>
#import <UIKit/UIPreferencesTextTableCell.h>
#import <UIKit/UIAlertSheet.h>

@class CDList;
@class SetupView;

@interface ToggleDisplayView : UIView
{
	UIPreferencesTable*			_table;
	UIApplication* 				_application;
	UINavigationBar* 			_navbar;
	NSString* 					_applicationID;
	NSMutableArray*				_tableCells;
	id							_delegate;	
	UIPreferencesTableCell* 	_prefGroup;
	UIPreferencesTableCell* 	_spacerGroup;
	CDList*						_cdlist;
	SetupView*					_setupView;
}

- (id) initWithFrame: (struct CGRect)rect withApp: (UIApplication*)app withCDList: (CDList*)cdlist withSetupView: (SetupView*)setupView;
- (void) makeSetupActive;
- (void) buildPreferencesTable;
- (void) setDelegate: (id)delegate;
@end